"""Added account and event tables

Revision ID: 38ad2d71663d
Revises: 
Create Date: 2024-05-05 02:55:20.477671

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '38ad2d71663d'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('t_cln_account_master',
    sa.Column('user_id', sa.UUID(), nullable=False),
    sa.Column('first_name', sa.String(length=50), nullable=True),
    sa.Column('last_name', sa.String(length=50), nullable=True),
    sa.Column('sex', sa.String(length=10), nullable=True),
    sa.Column('email', sa.String(length=100), nullable=True),
    sa.Column('phone', sa.String(length=10), nullable=True),
    sa.Column('ins_ts', sa.DateTime(), nullable=True),
    sa.Column('upd_ts', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('user_id')
    )
    op.create_index(op.f('ix_t_cln_account_master_user_id'), 't_cln_account_master', ['user_id'], unique=False)
    op.create_table('t_cln_account_details',
    sa.Column('id', sa.UUID(), nullable=False),
    sa.Column('user_id', sa.UUID(), nullable=True),
    sa.Column('institution', sa.String(length=200), nullable=True),
    sa.Column('designation', sa.String(length=50), nullable=True),
    sa.Column('food_preference', sa.String(length=50), nullable=True),
    sa.Column('portfolio_link', sa.String(length=255), nullable=True),
    sa.Column('pon', sa.String(length=50), nullable=True),
    sa.Column('ins_ts', sa.DateTime(), nullable=True),
    sa.Column('upd_ts', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['t_cln_account_master.user_id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_t_cln_account_details_id'), 't_cln_account_details', ['id'], unique=False)
    op.create_index(op.f('ix_t_cln_account_details_user_id'), 't_cln_account_details', ['user_id'], unique=False)
    op.create_table('t_cln_event_registration',
    sa.Column('id', sa.UUID(), nullable=False),
    sa.Column('user_id', sa.UUID(), nullable=True),
    sa.Column('event_name', sa.String(length=255), nullable=True),
    sa.Column('transaction_id', sa.String(length=255), nullable=True),
    sa.Column('proof_of_payment', sa.String(length=255), nullable=True),
    sa.Column('verification_status', sa.Boolean(), nullable=True),
    sa.Column('verified_by', sa.UUID(), nullable=True),
    sa.Column('ins_ts', sa.DateTime(), nullable=True),
    sa.Column('upd_ts', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['t_cln_account_master.user_id'], ),
    sa.ForeignKeyConstraint(['verified_by'], ['t_cln_account_master.user_id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_t_cln_event_registration_id'), 't_cln_event_registration', ['id'], unique=False)
    op.create_index(op.f('ix_t_cln_event_registration_user_id'), 't_cln_event_registration', ['user_id'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_t_cln_event_registration_user_id'), table_name='t_cln_event_registration')
    op.drop_index(op.f('ix_t_cln_event_registration_id'), table_name='t_cln_event_registration')
    op.drop_table('t_cln_event_registration')
    op.drop_index(op.f('ix_t_cln_account_details_user_id'), table_name='t_cln_account_details')
    op.drop_index(op.f('ix_t_cln_account_details_id'), table_name='t_cln_account_details')
    op.drop_table('t_cln_account_details')
    op.drop_index(op.f('ix_t_cln_account_master_user_id'), table_name='t_cln_account_master')
    op.drop_table('t_cln_account_master')
    # ### end Alembic commands ###
